//---------------------------------------------------------------------------

#include <vcl.h>
#include <bitset>
#include <iostream>
#include <string>
#include <limits>

#include <conio.h>   //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main()
{
  //     
  cout << ToRus("267   : ")
       << bitset<numeric_limits<unsigned short>::digits>(267)
       << endl;

  cout << ToRus("267   : ")
       << bitset<numeric_limits<unsigned long>::digits>(267)
       << endl;

  cout << ToRus("10,000,000  24- : ")
       << bitset<24>(1e7) << endl;

  //      
  cout << ToRus("\"1000101011\"  : ")
       << bitset<100>(string("1000101011")).to_ulong() << endl;


  getch();
  return 0;
}

//---------------------------------------------------------------------------